<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/edit.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
				$("#txt_noakun").val(data.noakun);
				$("#txt_nobp").val(data.nobp);
				$("#txt_naakun").val(data.naakun);	
				$("#txt_namabp").val(data.namabp);	
				$("#txt_ket").val(data.ket);
				$("#txt_jumlah").val(data.jumlah);
			}
		});		
	}

	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				tampil_data_detail();
			}
		});
		}
	}
	
	function tampil_data_detail(){
		var tanggal = $("#txt_tanggal").val();
		var shift   = $("#txt_shift").val();
		$("#data_detail").load("modul/pengel_kas/tampil_data_detail.php?tanggal="+tanggal+"&shift="+shift);
	}	
</script>

<?php
include '../../inc/inc.koneksi.php';

$tanggal	=$_GET[tanggal];
$shift  	=$_GET[shift];
echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode Akun</th>
			<th>Nama Akun</th>
			<th>Kode BP</th>
			<th>Nama Buku Pembantu</th>			
			<th>Keterangan</th>
			<th>Jumlah</th>			
			<th>Aksi</th>
		</tr>";
		$query = mysql_query("SELECT * FROM jurkk WHERE tanggal='$tanggal' AND shift='$shift' AND posting='' ORDER BY no_urut");
		
		$no=1;
		$total=0;		
		while($r=mysql_fetch_array($query)){
			$kode	= $r[kode_kk].'-'.$r[no_urut];
			$total 	= $total+$r[jumlah];			
			echo "<tr>
				<td align='center'>$no</td>
				<td align='center'>$r[noakun]</td>
				<td>$r[naakun]</td>
				<td align='center'>$r[nobp]</td>
				<td>$r[namabp]</td>					
				<td>$r[keterangan]</td>
				<td align='right'>".number_format($r[jumlah],2)."</td>					
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$kode')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>					
					<a href='javascript:void(0)' onClick=\"hapus_data('$kode')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' >
					</a>
				</td>
			</tr>";
			$no++;			
		}
		echo "<tr>				
				<td></td>
				<td></td>
				<td></td>
				<td></td>				
				<td></td>
				<td align='right'>Total </td>
				<td align='right'>".number_format($total,2)."</td>				
			</tr>";
			
	echo "</table>";	
?>